## org.gnu.gtk
Class FileFilter

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.FileFilter

public class FileFilter
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`FileFilter()` Creates a new FileFilter with no rules added to it.

Method Summary
`void` `addMimeType(java.lang.String mimeType)` Adds a rule allowing a given mime type to filter.
`void` `addPattern(java.lang.String pattern)` Adds a rule allowing a shell style glob to a filter.
`java.lang.String` `getName()` Returns the human readable name of the file filter.
`protected static void` `gtk_file_filter_add_mime_type(Handle filter, java.lang.String mimeType)`
`protected static void` `gtk_file_filter_add_pattern(Handle filter, java.lang.String pattern)`
`protected static java.lang.String` `gtk_file_filter_get_name(Handle filter)`
`protected static int` `gtk_file_filter_get_needed(Handle filter)`
`protected static int` `gtk_file_filter_get_type()`
`protected static Handle` `gtk_file_filter_new()`
`protected static void` `gtk_file_filter_set_name(Handle filter, java.lang.String name)`
`void` `setName(java.lang.String name)` Sets the human readable name for the filter.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileFilter

    public FileFilter()

  Creates a new FileFilter with no rules added to it. Such a filter doesn't accept any files, so is not particularly useful until you add rules with addMimeType() or addPattern().

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the human readable name for the filter. This is the string that will be displayed in the file selector user interface if there is a selectable list of filters.

  Parameters:
    `name` - The name of the filter.

### getName

    public java.lang.String getName()

  Returns the human readable name of the file filter.

### addMimeType

    public void addMimeType(java.lang.String mimeType)

  Adds a rule allowing a given mime type to filter.

### addPattern

    public void addPattern(java.lang.String pattern)

  Adds a rule allowing a shell style glob to a filter.

### gtk_file_filter_get_type

    protected static final int gtk_file_filter_get_type()

### gtk_file_filter_new

    protected static final Handle gtk_file_filter_new()

### gtk_file_filter_set_name

    protected static final void gtk_file_filter_set_name(Handle filter,
                                                         java.lang.String name)

### gtk_file_filter_get_name

    protected static final java.lang.String gtk_file_filter_get_name(Handle filter)

### gtk_file_filter_add_mime_type

    protected static final void gtk_file_filter_add_mime_type(Handle filter,
                                                              java.lang.String mimeType)

### gtk_file_filter_add_pattern

    protected static final void gtk_file_filter_add_pattern(Handle filter,
                                                            java.lang.String pattern)

### gtk_file_filter_get_needed

    protected static final int gtk_file_filter_get_needed(Handle filter)